package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RSStuVo;
import com.xhkjedu.sapi.vo.region.RSTeacherVo;
import com.xhkjedu.sapi.vo.region.SchoolVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RSchoolAnalyzeMapper {
    //获取学校列表
    List<SchoolVo> listSchool();

    //教师性别统计
    List<RSTeacherVo> listTeacherSex();

    //教师科目统计
    List<RSTeacherVo> listTeacherSubject();

    //学生统计
    List<RSStuVo> listStu();

    //活跃度统计
    List<Map> listAccess(Integer begintime, Integer endtime);
}
